آمار وب‌سایت

GET https://data.cheraghestan.com/api/statistics/{website_id}
پارامترها جزئیات توضیحات
start_date الزامی رشته تاریخ شروع در فرمت Y-m-d.
end_date الزامی رشته تاریخ پایان در فرمت Y-m-d.
type اختیاری رشته مقادیر مجاز: overview, realtime, paths, referrers, screen_resolutions, utms, operating_systems, device_types, continents, countries, cities, browser_names, browser_languages, browser_timezones, themes, goals, hours, weekdays
country_code اختیاری رشته در دسترس زمانی که: type = cities
utm_source اختیاری رشته در دسترس زمانی که: type = utms_medium_campaign
curl --request GET \
--url 'https://data.cheraghestan.com/api/statistics/{website_id}?start_date=2020-01-01&end_date=2021-01-01' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": [
        {
            "path": "/dashboard",
            "pageviews": 500,
            "bounces": 10
        },
        {
            "path": "/websites",
            "pageviews": 250,
            "bounces": 0
        },
        {
            "path": "/",
            "pageviews": 200,
            "bounces": 36
        },
        {
            "path": "/register",
            "pageviews": 100,
            "bounces": 25
        },
        {
            "path": "login",
            "pageviews": 50,
            "bounces": 10
        },
    ]
}